package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@ApiModel(value = "案件评价表")
public class FhjwCommentDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "案件ID")
	private Long caseId;

	@ApiModelProperty(value = "案件名")
	private String caseName;

	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "用户所属权限ID")
	private Long roleId;

	@ApiModelProperty(value = "评价人员姓名")
	private String userName;

	@ApiModelProperty(value = "模板ID")
	private Long tempId;

	@ApiModelProperty(value = "模板名称")
	private String tempName;

	@ApiModelProperty(value = "问题ID")
	private Long questionId;

	@ApiModelProperty(value = "答案ID")
	private Long answerId;

	@ApiModelProperty(value = "问题")
	private String questionName;

	@ApiModelProperty(value = "所选答案")
	private String answer;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "问题列表")
	private List<QuestionListDTO> questionList;

	@ApiModelProperty(value = "承办人")
	private String undertaker;

	@ApiModelProperty(value = "当事人")
	private String peopleName;

	@ApiModelProperty(value = "部门")
	private String deptName;

	@ApiModelProperty(value = "评价人员权限")
	private String userRole;

	@ApiModelProperty(value = "受案号")
	private String caseNum;

}
