package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 人员反馈表，包含意见反馈，控告申诉，代表委员有话说
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@ApiModel(value = "人员反馈表，包含意见反馈，控告申诉，代表委员有话说")
public class FhjwFeedbackDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "用户ID")
	private Long userId;

	@ApiModelProperty(value = "用户所属权限ID")
	private Long roleId;

	@ApiModelProperty(value = "用户姓名")
	private String userName;

	@ApiModelProperty(value = "用户权限")
	private String userRole;

	@ApiModelProperty(value = "受案号")
	private String caseNum;

	@ApiModelProperty(value = "承办人")
	private String undertaker;

	@ApiModelProperty(value = "当事人")
	private String peopleName;

	@ApiModelProperty(value = "案件名称")
	private String caseName;

	@ApiModelProperty(value = "部门")
	private String deptName;

	@ApiModelProperty(value = "反馈类型;1,反馈意见;2,控告申诉;3,代表委员有话说")
	private String feedbackType;

	@ApiModelProperty(value = "意见类别")
	private String optionStatus;

	@ApiModelProperty(value = "意见、申诉内容")
	private String content;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;


}
