package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_case")
public class FhjwCaseEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 受案号
     */
	private String caseNum;
    /**
     * 案件名称
     */
	private String caseName;
    /**
     * 办理期限
     */
	private String deadline;
    /**
     * 受理日期
     */
	private String acceptanceDate;
    /**
     * 审结日期
     */
	private String completeDate;
    /**
     * 强制措施
     */
	private String coerciveMeasures;
    /**
     * 案件比
     */
	private String caseQuality;
    /**
     * 案件详情
     */
	private String caseDetail;
	/**
	 * 创建者名字
	 */
	@TableField(exist = false)
	private String userName;
	/**
	 * 部门ID
	 */
	private Long deptId;
	/**
	 * 承办人
	 */
	private String undertaker;
	/**
	 * 当事人
	 */
	private String peopleName;
	/**
	 * 代理人
	 */
	private String agentName;

	/**
	 * 是否更新标志
	 */
	private String flag;

}
