package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 案件评价表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_comment")
public class FhjwCommentEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
	private Long userId;
	/**
	 * 案子ID
	 */
	private Long caseId;
	/**
	 * 案件名称
	 */
	@TableField(exist = false)
	private String caseName;

	/**
     * 模板ID
     */
	private Long tempId;
    /**
     * 问题ID
     */
	private Long questionId;
    /**
     * 答案ID
     */
	private Long answerId;
    /**
     * 模板名称
     */
	@TableField(exist = false)
	private String tempName;
    /**
     * 问题
     */
	@TableField(exist = false)
	private String questionName;
    /**
     * 所选答案
     */
	@TableField(exist = false)
	private String answer;
    /**
     * 评价人名字
     */
	@TableField(exist = false)
	private String userName;
	/**
	 * 承办人
	 */
	@TableField(exist = false)
	private String undertaker;
	/**
	 * 部门
	 */
	@TableField(exist = false)
	private String deptName;
	/**
	 * 当事人
	 */
	@TableField(exist = false)
	private String peopleName;
	/**
	 * 评价人员权限
	 */
	@TableField(exist = false)
	private String userRole;
	/**
	 * 受案号
	 */
	@TableField(exist = false)
	private String caseNum;
	/**
	 * 用户所属权限ID
	 */
	private Long roleId;

}
