package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 用户
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("tb_user")
public class UserEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
	private String username;
    /**
     * 手机号
     */
	private String mobile;
    /**
     * 身份
     */
	private String identity;
    /**
     * 性别   0：男   1：女    2：保密
     */
    private Integer gender;

    /**
     * 密码
     */
	private String password;
    /**
     * 身份证号
     */
	private String userIdno;
    /**
     * 案件ID
     */
	private Long caseId;
    /**
     * 案件名
     */
    @TableField(exist = false)
	private String caseName;
    /**
     * 用户权限
     */
    @TableField(exist = false)
	private String userRole;
    /**
     * 用户权限ID
     */
    @TableField(exist = false)
	private Long roleId;
}
