package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.FhjwCommentDTO;
import io.hmit.modules.fhjw.dto.FhjwFeedbackDTO;
import io.hmit.modules.fhjw.entity.FhjwFeedbackEntity;

import java.util.List;
import java.util.Map;

/**
 * 人员反馈表，包含意见反馈，控告申诉，代表委员有话说
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
public interface FhjwFeedbackService extends CrudService<FhjwFeedbackEntity, FhjwFeedbackDTO> {
    @Override
    PageData<FhjwFeedbackDTO> page(Map<String, Object> params);

    @Override
    FhjwFeedbackDTO get(Long id);

    List<FhjwFeedbackEntity> getByCaseNum(String  caseNum);

    int getCountByUserId(Long userId);
}
