package io.hmit.modules.fhjw.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.FhjwRoleFunctionDTO;
import io.hmit.modules.fhjw.entity.FhjwRoleFunctionEntity;

import java.util.List;

/**
 * 用户评价权限功能
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-22
 */
public interface FhjwRoleFunctionService extends CrudService<FhjwRoleFunctionEntity, FhjwRoleFunctionDTO> {

    /**
     * 保存或修改
     *
     * @param roleId     角色ID
     * @param funcIdList 评价模块ID列表
     */

    void saveOrUpdate(Long roleId, List<Long> funcIdList);

    /**
     * 根据角色id，删除角色评价模块关系
     *
     * @param roleId 评价模块id
     */
    void deleteByRoleIds(Long roleId);

}
