package io.hmit.modules.fhjw.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.UserRoleDTO;
import io.hmit.modules.fhjw.entity.UserRoleEntity;

import java.util.List;
import java.util.Map;

/**
 * 用户权限对应表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-03
 */
public interface UserRoleService extends CrudService<UserRoleEntity, UserRoleDTO> {
    UserRoleDTO getByUserId (Long userId);

    List<UserRoleDTO> getByUserIds (Long userId);
    /**
     * 根据用户id，删除权限用户关系
     *
     * @param userId 用户id
     */
    void deleteByUserId(Long userId);



}
