package io.hmit.modules.fhjw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.common.utils.ConvertUtils;
import io.hmit.modules.fhjw.dao.FhiwFunctionDao;
import io.hmit.modules.fhjw.dto.FhiwFunctionDTO;
import io.hmit.modules.fhjw.entity.FhiwFunctionEntity;
import io.hmit.modules.fhjw.service.FhiwFunctionService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 评价模块
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-22
 */
@Service
public class FhiwFunctionServiceImpl extends CrudServiceImpl<FhiwFunctionDao, FhiwFunctionEntity, FhiwFunctionDTO> implements FhiwFunctionService {

    @Autowired
    private FhiwFunctionDao fhiwFunctionDao;

    @Override
    public QueryWrapper<FhiwFunctionEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<FhiwFunctionEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


    @Override
    public List<FhiwFunctionDTO> getAllFuncList() {
        List<FhiwFunctionEntity> list = fhiwFunctionDao.getAllFuncList();
        return ConvertUtils.sourceToTarget(list,FhiwFunctionDTO.class);
    }
}
