package io.hmit.modules.fhjw.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.hmit.common.page.PageData;
import io.hmit.common.service.impl.CrudServiceImpl;
import io.hmit.common.utils.ConvertUtils;
import io.hmit.modules.fhjw.dao.FhjwTempDao;
import io.hmit.modules.fhjw.dto.FhjwTempDTO;
import io.hmit.modules.fhjw.entity.FhjwCommentEntity;
import io.hmit.modules.fhjw.entity.FhjwQuestionEntity;
import io.hmit.modules.fhjw.entity.FhjwTempEntity;
import io.hmit.modules.fhjw.service.FhjwTempService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Optional;

/**
 * 问卷模版表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Service
public class FhjwTempServiceImpl extends CrudServiceImpl<FhjwTempDao, FhjwTempEntity, FhjwTempDTO> implements FhjwTempService {

    @Autowired
    private FhjwTempDao fhjwTempDao;

    @Override
    public QueryWrapper<FhjwTempEntity> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");
        String tempName = (String)params.get("tempName");

        QueryWrapper<FhjwTempEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);
        wrapper.like(StringUtils.isNotBlank(tempName), "temp_name", tempName);

        return wrapper;
    }


    @Override
    public List<FhjwTempDTO> getAllTempList() {
        List<FhjwTempEntity> list = fhjwTempDao.getAllTempList();
        return ConvertUtils.sourceToTarget(list,FhjwTempDTO.class);
    }

}
