package io.hmit.modules.fhjw.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@ApiModel(value = "案件表")
public class FhjwCaseDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "受案号")
	private String caseNum;

	@ApiModelProperty(value = "案件名称")
	private String caseName;

	@ApiModelProperty(value = "办理期限")
	private String deadline;

	@ApiModelProperty(value = "受理日期")
	private String acceptanceDate;

	@ApiModelProperty(value = "审结日期")
	private String completeDate;

	@ApiModelProperty(value = "强制措施")
	private String coerciveMeasures;

	@ApiModelProperty(value = "案件比")
	private String caseQuality;

	@ApiModelProperty(value = "案件详情")
	private String caseDetail;

	@ApiModelProperty(value = "承办人姓名")
	private String undertaker;

	@ApiModelProperty(value = "当事人姓名")
	private String peopleName;

	@ApiModelProperty(value = "代理人姓名")
	private String agentName;

	@ApiModelProperty(value = "是否更新")
	private String flag;

	@ApiModelProperty(value = "创建者")
	private Long creator;

	@ApiModelProperty(value = "创建时间")
	private Date createDate;

	@ApiModelProperty(value = "更新时间")
	private Date updateDate;

	@ApiModelProperty(value = "用户信息")
	public List<PeopleInfo> peopleInfo;

}
