package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_case")
public class FhjwCaseEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 受案号
     */
	private String caseNum;
    /**
     * 案件名称
     */
	private String caseName;
    /**
     * 承办人
     */
	private String undertaker;
    /**
     * 当事人
     */
	private String peopleName;
    /**
     * 代理人
     */
	private String agentName;
    /**
     * 办理期限
     */
	private String deadline;
    /**
     * 受理日期
     */
	private String acceptanceDate;
    /**
     * 审结日期
     */
	private String completeDate;
    /**
     * 更新时间
     */
	private Date updateDate;
    /**
     * 强制措施
     */
	private String coerciveMeasures;
    /**
     * 案件比
     */
	private String caseQuality;
    /**
     * 案件详情
     */
	private String caseDetail;
	/**
	 * 部门ID
	 */
	private Long deptId;

	/**
	 * 是否更新标志
	 * 1 已更新
	 * 2 未更新（默认）
	 */
	private String flag;

}
