package io.hmit.modules.fhjw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.hmit.common.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 人员反馈表，包含意见反馈，控告申诉，代表委员有话说
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
@Data
@EqualsAndHashCode(callSuper=false)
@TableName("fhjw_feedback")
public class FhjwFeedbackEntity extends BaseEntity {
	private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
	private Long userId;
    /**
     * 反馈类型;1,反馈意见;2,控告申诉;3,代表委员有话说
     */
	private String feedbackType;
    /**
     * 意见类别
     */
	private String optionStatus;
    /**
     * 意见、申诉内容
     */
	private String content;
    /**
     * 受案号
     */
	private String caseNum;
    /**
     * 当事人姓名
     */
	private String peopleName;
	/**
	 * 用户所属权限ID
	 */
	private Long roleId;
}
