package io.hmit.common.exception;

/**
 * 错误编码，由5位数字组成，前2位为模块编码，后3位为业务编码
 * <p>
 * 如：10001（10代表系统模块，001代表业务代码）
 * </p>
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0
 */
public interface ErrorCode {

    int INTERNAL_SERVER_ERROR = 500;
    int UNAUTHORIZED = 401;
    int FORBIDDEN = 403;

    int NOT_NULL = 10001;
    int DB_RECORD_EXISTS = 10002;
    int PARAMS_GET_ERROR = 10003;
    int ACCOUNT_PASSWORD_ERROR = 10004;
    int ACCOUNT_DISABLE = 10005;
    int IDENTIFIER_NOT_NULL = 10006;
    int CAPTCHA_ERROR = 10007;
    int SUB_MENU_EXIST = 10008;
    int PASSWORD_ERROR = 10009;
    int ACCOUNT_NOT_EXIST = 10010;
    int SUPERIOR_DEPT_ERROR = 10011;
    int SUPERIOR_MENU_ERROR = 10012;
    int DATA_SCOPE_PARAMS_ERROR = 10013;
    int DEPT_SUB_DELETE_ERROR = 10014;
    int DEPT_USER_DELETE_ERROR = 10015;
    int ACT_DEPLOY_ERROR = 10016;
    int ACT_MODEL_IMG_ERROR = 10017;
    int ACT_MODEL_EXPORT_ERROR = 10018;
    int UPLOAD_FILE_EMPTY = 10019;
    int TOKEN_NOT_EMPTY = 10020;
    int TOKEN_INVALID = 10021;
    int ACCOUNT_LOCK = 10022;
    int ACT_DEPLOY_FORMAT_ERROR = 10023;
    int OSS_UPLOAD_FILE_ERROR = 10024;
    int SEND_SMS_ERROR = 10025;
    int MAIL_TEMPLATE_NOT_EXISTS = 10026;
    int REDIS_ERROR = 10027;
    int JOB_ERROR = 10028;
    int INVALID_SYMBOL = 10029;
    int JSON_FORMAT_ERROR = 10030;
    int SMS_CONFIG = 10031;
    int TASK_CLIME_FAIL = 10032;
    int NONE_EXIST_PROCESS = 10033;
    int SUPERIOR_NOT_EXIST = 10034;
    int REJECT_MESSAGE = 10035;
    int ROLLBACK_MESSAGE = 10036;
    int UNCLAIM_ERROR_MESSAGE = 10037;
    int SUPERIOR_REGION_ERROR = 10038;
    int REGION_SUB_DELETE_ERROR = 10039;
    int PROCESS_START_ERROR = 10040;
    int REJECT_PROCESS_PARALLEL_ERROR = 10041;
    int REJECT_PROCESS_HANDLEING_ERROR = 10042;
    int END_PROCESS_PARALLEL_ERROR = 10043;
    int END_PROCESS_HANDLEING_ERROR = 10044;
    int END_PROCESS_MESSAGE = 10045;
    int BACK_PROCESS_PARALLEL_ERROR = 10046;
    int BACK_PROCESS_HANDLEING_ERROR = 10047;
}
