package io.hmit.common.exception;


import io.hmit.common.utils.MessageUtils;

/**
 * 自定义异常
 *
 * @author zsh 408538940@qq.com
 */
public class HmitException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    private int code;
    private String msg;

    public HmitException(int code) {
        this.code = code;
        this.msg = MessageUtils.getMessage(code);
    }

    public HmitException(int code, String... params) {
        this.code = code;
        this.msg = MessageUtils.getMessage(code, params);
    }

    public HmitException(int code, Throwable e) {
        super(e);
        this.code = code;
        this.msg = MessageUtils.getMessage(code);
    }

    public HmitException(int code, Throwable e, String... params) {
        super(e);
        this.code = code;
        this.msg = MessageUtils.getMessage(code, params);
    }

    public HmitException(String msg) {
        super(msg);
        this.code = ErrorCode.INTERNAL_SERVER_ERROR;
        this.msg = msg;
    }

    public HmitException(String msg, Throwable e) {
        super(msg, e);
        this.code = ErrorCode.INTERNAL_SERVER_ERROR;
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

}